Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81412 - Windows Username doesn't work
Summary: Windows Username doesn't work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-samba
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-09 06:09 UTC by Tammy Fox
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-21 02:39:38 UTC


Attachments (Terms of Use)

Description Tammy Fox 2003-01-09 06:09:20 UTC
The following line must be commented out in /etc/samba/smb.conf:
username map = /etc/samba/smbusers
for the /etc/samba/smbusers file to be used to map Windows usernames with
the Unix/Samba usernames. Hence, when you add a user and specify the Windows
username, you can't log in from a Windows box using the specified Windows
username. 

The 'username map' option is commented out in the default smb.conf file, so
I see two options:

1) If you specify a Windows username when adding a Samba user, you need to either
enable the 'username map' option
2) Provide an option that enables/disables the 'username map' option and
if it is disabled, prompt the user to enable it if a Windows username is
provided when adding a Samba user. If this solution is chosen, the GUI should
make it clear that the 'Windows Username' is optional.

Comment 1 Brent Fox 2003-01-14 22:04:41 UTC
Should be fixed in redhat-config-samba-1.0.1-5.  The behavior now is to enable
'username map = /etc/samba/smbusers' anytime 'user' level security is used. 
Please test to verify that this works now.  

Comment 2 Jay Turner 2003-01-21 02:39:38 UTC
Fix confirmed with 1.0.1-6.


Note You need to log in before you can comment on or make changes to this bug.